import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { DFFilterService } from '../services/store/df.filter.service';
import { Iform, Ilocals, Iparams } from '../services/store/df.store.models';
import { DFStoreFunctions } from '../services/store/df.store.functions';
import { Store } from '@ngrx/store';
import { Subscription } from 'rxjs/Subscription';
import 'rxjs/add/operator/takeWhile';
import { DFCommonService } from '../services/df.common.api';
export declare class DFListComponent implements OnDestroy, OnInit {
    store: Store<any>;
    DSF: DFStoreFunctions;
    private route;
    private cd;
    private FS;
    private DFCS;
    locals: Ilocals;
    params: Iparams;
    storeData: any;
    query: any;
    formSpecs: any;
    formLocals: Iform;
    values: any;
    FSSub: Subscription;
    FSStore: Subscription;
    FFSSub: Subscription;
    links: any;
    icons: any;
    table: any;
    storeName: string;
    loading: boolean;
    spinner: boolean;
    dataListItem: any;
    detailsType: string[];
    block: boolean;
    loaded: boolean;
    private formSubscription;
    constructor(store: Store<any>, DSF: DFStoreFunctions, route: ActivatedRoute, cd: ChangeDetectorRef, FS: DFFilterService, DFCS: DFCommonService);
    ngOnInit(): void;
    Lazyload(event: any): void;
    loadIt(event: any): void;
    formSubscribe: () => void;
    load(): void;
    ngOnDestroy(): void;
    onRowSelect: (event: any) => void;
    onRowExpand(_event: any): void;
    isType(_type: string): boolean;
    getResult(result: any): void;
    concatMulti: any;
    getValue: any;
    loadNode(event: any): void;
    rowClass: (data: any) => any;
    private evaluate(obj);
    private checknode;
    private check;
}
