import { QuestionBase } from './question-base';
export declare class QuestionGroup<T> {
    value: T;
    controlType: string;
    header: string;
    selected: boolean;
    disabled: boolean;
    orientation: string;
    multiple: boolean;
    toggleable: boolean;
    collapsed: boolean;
    questions: Array<QuestionBase<any>>;
    buttons: any[];
    class: string;
    formClass: string;
    style: string;
    constructor(options?: {
        controlType?: string;
        header?: string;
        selected?: boolean;
        disabled?: boolean;
        orientation?: string;
        multiple?: boolean;
        toggleable?: boolean;
        collapsed?: boolean;
        questions?: Array<QuestionBase<any>>;
        buttons?: any[];
        class?: string;
        formClass?: string;
        style?: string;
    });
}
