import { HttpService } from 'io-ng-util/lib/common/http.service';
import { Store } from '@ngrx/store';
import { Env } from 'io-ng-util/lib/common/env';
import { Iform, Ilocals, Iparams, IstoreFormState } from './df.store.models';
import { Router } from '@angular/router';
export declare class DFStoreFunctions {
    store: Store<any>;
    private httpService;
    private env;
    private router;
    constructor(store: Store<any>, httpService: HttpService, env: Env, router: Router);
    initStore(store: string, query: any): void;
    resetStore(store: string): void;
    resetFormStore(store: string): void;
    updateForm(_store: string, payload: IstoreFormState): void;
    loadForm(params: Iparams, locals: Iform, storeName: string): void;
    loadStore(params: Iparams, locals: Ilocals, storeName: string): void;
    siteError: (err: Error) => void;
    toSlack: (url: string, storeName: string, err: any) => void;
    loadNode(params: Iparams, locals: Ilocals, storeName: string, node: any): any;
    OA: any;
    OAA: any;
    r_qP: any;
    r_PP: any;
    r_P: any;
    r_getStore: any;
    getNbr: any;
    getEmpty: any;
    flatten: (val: any) => any;
}
