export interface IstoreState {
    empty: boolean;
    error: boolean;
    loaded: boolean;
    query: any;
    records: any;
    store: string;
    totalRecords: number;
}
export interface IstoreFormState {
    error: boolean;
    form?: {
        name: string;
        valid: boolean;
    };
    loaded: boolean;
    store: string;
    target?: any[];
    values: any;
}
export interface Iparams {
    query: any;
}
export interface Ilocals {
    api: string;
    base: string;
    changed?: boolean;
    disabled?: boolean;
    flatten?: boolean;
    formName?: string;
    loaded: boolean;
    proxyurl?: string;
    readmode?: boolean;
    required?: any[];
    reset?: boolean;
    store: string;
    submitted?: boolean;
    token: string;
    type: string;
    url: string;
    target?: string;
    fromStore?: boolean;
    toStore?: boolean;
    nested?: string;
}
export interface Iform {
    api?: string;
    base?: string;
    changed?: boolean;
    collapsed?: boolean;
    disabled?: boolean;
    flatten?: boolean;
    formName: string;
    fromServer?: boolean;
    fromStore?: boolean;
    filterStore?: string;
    input?: any;
    map?: any;
    output?: any;
    params?: any;
    readmode?: boolean;
    required?: any;
    reset?: boolean;
    store?: string;
    submitted?: boolean;
    target?: any;
    toStore?: boolean;
    toggleable?: boolean;
    updateStore?: boolean;
    url?: string;
    values?: any;
}
