import { Subscription } from 'rxjs/Subscription';
import { Store } from '@ngrx/store';
import { DFStoreFunctions } from '../construct/services/store/df.store.functions';
import { DFFormService } from '../construct/services/df.form.service';
import { DFCommonService } from '../construct/services/df.common.api';
import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import 'rxjs/add/operator/take';
export declare class DFMenuDropDownComponent implements OnInit, OnDestroy {
    private cd;
    private DFCS;
    private DSF;
    private formService;
    private store;
    config: any;
    formSpecs: any;
    FSStore: Subscription;
    data: any;
    private AStore;
    constructor(cd: ChangeDetectorRef, DFCS: DFCommonService, DSF: DFStoreFunctions, formService: DFFormService, store: Store<any>);
    ngOnInit(): void;
    awaitData: (store: string, items: any) => void;
    handleRules: (data: any, items: any) => void;
    getForm(): void;
    onAction: (action: any) => void;
    ngOnDestroy(): void;
    private evalStr;
    private check;
}
