import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { DFFormService } from '../construct/services/df.form.service';
import 'rxjs/add/operator/take';
import { Subscription } from 'rxjs/Subscription';
import { DFStoreFunctions } from '../construct/services/store/df.store.functions';
import { Store } from '@ngrx/store';
export declare class DFSectionMultiComponent implements OnInit, OnDestroy {
    config: any;
    formSpecs: any;
    FSStore: Subscription;
    private cd;
    private DSF;
    private DFFS;
    private store;
    private AStore;
    constructor(cd: ChangeDetectorRef, DSF: DFStoreFunctions, DFFS: DFFormService, store: Store<any>);
    ngOnInit(): void;
    getForm: (form: string) => Promise<any>;
    getValues: (fieldsetValues: any, i: number) => any;
    ngOnDestroy(): void;
    awaitTemplate: (store: string, i: number) => void;
    private check;
}
