import { ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { DFFormService } from '../construct/services/df.form.service';
import { Ilocals } from '../construct/services/store/df.store.models';
import 'rxjs/add/operator/take';
import { Subscription } from 'rxjs/Subscription';
export declare class DFStandardFormComponent implements OnInit, OnChanges, OnDestroy {
    private cd;
    private formService;
    locals: Ilocals;
    values: any;
    changed: boolean;
    result: EventEmitter<any>;
    errorMessage: string;
    formSpecs: any;
    questionGroups: any[];
    FSStore: Subscription;
    constructor(cd: ChangeDetectorRef, formService: DFFormService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getForm(): void;
    ngOnDestroy(): void;
    private check;
}
