import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { DFQuestionControlService } from '../services/df.question.control.service';
import { DFFormService } from '../services/df.form.service';
import { HttpService } from 'io-ng-util/lib/common/http.service';
import { DFCommonService } from '../services/df.common.api';
import 'rxjs/add/operator/debounceTime';
import 'rxjs/add/operator/distinctUntilChanged';
import { Env } from 'io-ng-util/lib/common/env';
export declare class DFQuestionComponent implements OnInit {
    env: Env;
    private DFCS;
    private cd;
    private formService;
    private httpService;
    private qcs;
    question: any;
    formQuestions: any[];
    form: FormGroup;
    formErrors: any;
    formStyle: {};
    disabled: boolean;
    dependents: any[];
    fieldsToWatch: string[];
    depsToWatch: string[];
    permVisible: boolean;
    permEditable: boolean;
    dropClass: string;
    dragTarget: EventTarget;
    uploadedFiles: any;
    constructor(env: Env, DFCS: DFCommonService, cd: ChangeDetectorRef, formService: DFFormService, httpService: HttpService, qcs: DFQuestionControlService);
    readonly isValid: boolean;
    readonly isVisible: boolean;
    ngOnInit(): void;
    onAction: (action: any) => boolean;
    search(event: any): void;
    onSelect: (e: Event) => void;
    onReset: () => void;
    /**
     * @opt is the option of the question checked
     * the question is patched
     * the form question is patched
     * @memberof DFQuestionComponent
     */
    checkOnChange: (opt: any, e: Event) => void;
    clickout(_e: Event): void;
    onFileUploadClick(): void;
    removeFile(file: any): void;
    dragenter: (e: Event) => boolean;
    dragover: (e: Event) => boolean;
    dragleave: (e: Event) => void;
    drop: (e: any) => void;
    private addFiles;
    private onValueChanged(data);
    private watchDependents();
    private evalStr;
    private check;
}
