import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import 'tinymce';
import 'tinymce/themes/modern';
import 'tinymce/plugins/table';
import 'tinymce/plugins/link';
import 'tinymce/plugins/paste';
import 'tinymce/plugins/image';
import 'tinymce/plugins/contextmenu';
import 'tinymce/plugins/autoresize';
import 'tinymce/plugins/fullscreen';
export declare class TinyEditorComponent implements AfterViewInit, ControlValueAccessor, OnDestroy {
    elementId: string;
    uploadClick: EventEmitter<any>;
    tinyDrop: EventEmitter<any>;
    question: any;
    files: File[];
    editor: any;
    editorContent: string;
    onTouch: () => {};
    onModelChange: (fn: any) => {};
    registerOnTouched: any;
    registerOnChange: any;
    writeValue: any;
    ngAfterViewInit(): any;
    ngOnDestroy(): void;
}
