export declare class QuestionBase<T> {
    dependency: Array<{
        type: string;
        key: string;
        condition: string;
        watch: any[];
        disable: boolean;
        keepValue: boolean;
    }>;
    actions: any;
    class: string;
    controlType: string;
    disabled: boolean;
    displayField: string;
    displayName: string;
    fromEnv: any;
    hidden: boolean;
    hideMode: string;
    key: string;
    label: string;
    max: number;
    maxLength: number;
    minLength: number;
    minLengthVal: boolean;
    order: number;
    readOnly: boolean;
    required: boolean;
    showBpImg: boolean;
    size: number;
    style: {};
    subClass: string;
    text: string;
    typeClass: string;
    typeStyle: string;
    value: T;
    constructor(options?: {
        dependency?: Array<{
            type: string;
            key: string;
            condition: string;
            watch: any[];
            disable: boolean;
            keepValue: boolean;
        }>;
        actions?: any;
        class?: string;
        controlType?: string;
        disabled?: boolean;
        displayField?: string;
        displayName?: string;
        fromEnv?: any;
        hidden?: boolean;
        hideMode?: string;
        key?: string;
        label?: string;
        max?: number;
        maxLength?: number;
        minLength?: number;
        minLengthVal?: boolean;
        order?: number;
        readOnly?: boolean;
        required?: boolean;
        showBpImg?: boolean;
        size?: number;
        style?: {};
        subClass?: string;
        text?: string;
        typeClass?: string;
        typeStyle?: string;
        value?: T;
    });
    getProperty(property: string): any;
}
