import { HttpService } from 'io-ng-util/lib/common/http.service';
import { Observable } from 'rxjs/Observable';
import * as def from '../definitions/index';
export declare class DFFormService {
    private http;
    storedForms: any;
    constructor(http: HttpService);
    getStoredForm(formName: string, _reset?: boolean): any;
    setStoredForm(formName: string, formData: any): any;
    getFormProperties(url: string): Observable<def.QuestionDef[]>;
    getQuestionGroups(body: any): any;
    filterOptions(options: any, parentValue: string, placeHolder: string): any;
    getButtons: any;
    getFormStyle: any;
    getPermissions: any;
    getListForm: any;
    private parseGroup;
    private parseSelectOptions;
}
