import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { DFStoreFunctions } from '../construct/services/store/df.store.functions';
import { Store } from '@ngrx/store';
import 'rxjs/add/operator/debounceTime';
export interface IfieldSet {
    fieldset: any;
    config: any;
    rules?: any;
    type?: string;
    hidden?: boolean;
    values?: any;
}
export declare class DFSectionSingleComponent implements OnInit, OnDestroy {
    fieldset: IfieldSet;
    private AStore;
    private cd;
    private DSF;
    private store;
    constructor(cd: ChangeDetectorRef, DSF: DFStoreFunctions, store: Store<any>);
    ngOnInit(): void;
    awaitData: (rules: any, store: string) => void;
    handleRules: (data: any, rules: any) => void;
    getValues: (formValues: any) => any;
    ngOnDestroy(): void;
    private check;
}
